Bug 55187 - mail 8.1.1-16 segmentation fault
Summary: mail 8.1.1-16 segmentation fault
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mailx (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-26 19:48 UTC by ru
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-13 10:56:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description ru 2001-10-26 19:48:03 UTC
Description of Problem:
This problem started to occur after mailx was updated to 8.1.1-16.  I can
read and delete emails with the command "mail".  However, after I complete
with reading and hit "q" for quit, mail would report segmentation fault and
core dumped.  When I examed the core file with gdb, it reported that mail
received signal 11.

Version-Release number of selected component (if applicable):
8.1.1-16

How Reproducible:
Very consistent.

Steps to Reproduce:
1. Make sure that you have email messages in your inbox. 
2. Type "mail" to start reading email
3. At the & prompt, type "p" to read email.
4. After the email is read, hit "q" to quit.

This is where segmentation fault occurs.  The email that should be read
will still be marked as unread the next time "mail" is invoked.

Actual Results:


Expected Results:


Additional Information:

Comment 1 Florian La Roche 2003-01-13 10:56:17 UTC
Fixed in newer rpm releases.

Thanks,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.